ALTER TABLE `carrier` ADD `url` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL;
ALTER TABLE `image_type` ADD `products` tinyint(1) NOT NULL default '1';
ALTER TABLE `image_type` ADD `categories` tinyint(1) NOT NULL default '1';
ALTER TABLE `orders` ADD `shipping_number` `shipping_number` VARCHAR(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL;
ALTER TABLE `product` ADD `out_of_stock` INT(10) UNSIGNED NOT NULL DEFAULT '2';
ALTER TABLE `product` CHANGE `price` `price` DECIMAL( 10,6) NOT NULL DEFAULT '0.000000';
ALTER TABLE `order_detail` CHANGE `product_price` `product_price` DECIMAL(10,6) NOT NULL DEFAULT '0.000000';
ALTER TABLE `order_detail` ADD `product_id` INT UNSIGNED NOT NULL AFTER `id_order`, ADD `product_attribute_id` INT UNSIGNED NULL AFTER `product_id`;
 
CREATE TABLE `feature` (
  `id_feature` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id_feature`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `feature_lang` (
  `id_feature` int(10) unsigned NOT NULL,
  `id_lang` int(10) unsigned NOT NULL,
  `name` varchar(128) default NULL,
  PRIMARY KEY  (`id_feature`,`id_lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `feature_product` (
  `id_feature` int(10) unsigned NOT NULL,
  `id_product` int(10) unsigned NOT NULL,
  `id_feature_value` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id_feature`,`id_product`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `feature_value` (
  `id_feature_value` int(10) unsigned NOT NULL auto_increment,
  `id_feature` int(10) unsigned NOT NULL,
  `custom` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`id_feature_value`),
  KEY `feature` (`id_feature`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `feature_value_lang` (
  `id_feature_value` int(10) unsigned NOT NULL,
  `id_lang` int(10) unsigned NOT NULL,
  `value` varchar(255) default NULL,
  PRIMARY KEY  (`id_feature_value`,`id_lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `quick_access` (
  `id_quick_access` int(10) unsigned NOT NULL auto_increment,
  `link` varchar(128) NOT NULL,
  PRIMARY KEY  (`id_quick_access`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE `quick_access_lang` (
  `id_quick_access` int(10) unsigned NOT NULL,
  `id_lang` int(10) unsigned NOT NULL,
  `name` varchar(32) NOT NULL,
  PRIMARY KEY  (`id_quick_access`,`id_lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `hook_module_exceptions` (
  `id_hook_module_exceptions` int(10) unsigned NOT NULL auto_increment,
  `id_module` int(10) unsigned NOT NULL,
  `id_hook` int(10) unsigned NOT NULL,
  `file_name` varchar(255) default NULL,
  PRIMARY KEY  (`id_hook_module_exceptions`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
