<?php

include(dirname(__FILE__).'/config/config.inc.php');
include(dirname(__FILE__).'/header.php');

if (!$cookie->isLogged())
	Tools::redirect('authentication.php?back=identity.php');

$customer = new Customer(intval($cookie->id_customer));


foreach ($_POST AS $key => $value)
	if (key_exists($key, $customer) AND ($key != 'passwd' OR !empty($value)))
		$customer->{$key} = trim($_POST[$key]);
if (isset($_POST['years']) && isset($_POST['months']) && isset($_POST['days']))
	$customer->birthday = intval($_POST['years']).'-'.intval($_POST['months']).'-'.intval($_POST['days']);

$errors = array();
if (Tools::isSubmit('submitIdentity'))
{
	if (!@checkdate(Tools::getValue('months'), Tools::getValue('days'), Tools::getValue('years')) AND !(Tools::getValue('months') == '' AND Tools::getValue('days') == '' AND Tools::getValue('years') == ''))
		$errors[] = Tools::displayError('invalid birthday');
	else
	{
		$customer->birthday = (empty($_POST['years']) ? '' : intval($_POST['years']).'-'.intval($_POST['months']).'-'.intval($_POST['days']));
		if ($_POST['passwd'] != $_POST['confirmation'])
			$errors[] = Tools::displayError('Password and confirmation do not match');
		else
			$errors = $customer->validateControler();
		if (!sizeof($errors))
		{
			$customer->name = strtoupper($customer->name);
		    $customer->surname = ucfirst(strtolower($customer->surname));
			if (Tools::getValue('passwd'))
				$cookie->passwd = $customer->passwd;
			
			if ($customer->update())
				Tools::redirect('my-account.php');
			$errors[] = Tools::displayError('impossible to update information');
		}
	}

	foreach ($_POST AS $k => $val)
		$_POST[$key] = Tools::safeOutput($val);
}
else
	$_POST = array_map('stripslashes', $customer->getFields());

if ($customer->birthday)
	$birthday = split('-', $customer->birthday);
else
	$birthday = array('-', '-', '-');

$birthday_form = Tools::dateGenerate($birthday[0], $birthday[1], $birthday[2]);
$smarty->assign('years', $birthday_form['years']);
$smarty->assign('months', $birthday_form['months']);
$smarty->assign('days', $birthday_form['days']);
if (sizeof($errors))
	$smarty->assign('errors', $errors);


$smarty->display(_PS_THEME_DIR_.'identity.tpl');

include(dirname(__FILE__).'/footer.php');

?>