<?php

class LanguageManager {
	
	private $url_xml;
	private $lang;
	private $xml_file;
	
	function __construct ($url_xml = "list.xml"){
		$this->loadXML($url_xml);
		$this->setLanguage();
		$this->getIncludeTradFilename();
		
	}
	
	
	private function loadXML($url_xml){
		$this->xml_file = simplexml_load_file($url_xml);
	}
	
	public function getIdSelectedLang(){
		return $this->lang['id'];
	}
	
	public function countLangs(){
		return sizeof($this->xml_file);
	}
	
	public function getAvailableLangs(){
		return $this->xml_file;
	}
	
	public function getSelectedLang(){
		return $this->lang;
	}
	/*
	private function getIsoDefaultLangage(){
		$isos = array();
		
		foreach ($this->xml_file as $lang){
			if (isset($lang['defaultLanguage']) && $lang['defaultLanguage'] == "defaultLanguage" ) {
			
				foreach ($lang->isos->iso as $anIso){
					$isos[sizeof($isos)] = $anIso;
					print_r($anIso);
				}
				
			}
		}
		
		if (sizeof($isos) == 0) return false;
	}
	*/
	private function getIdByHAL(){
		
		$iso = false;
		
		if (isset($_SERVER['HTTP_ACCEPT_LANGUAGE'])) {
			
			$FirstHAL = split(',', $_SERVER['HTTP_ACCEPT_LANGUAGE']);
			$iso = $FirstHAL[0];
			
			if ( $iso != "en-us" ) {
				foreach ($this->xml_file as $lang){
					foreach ($lang->isos->iso as $anIso){
						if ($anIso == $iso) return $lang['id'];
					}
				}
			}
			
		} else return 0;
		
	}
	
	private function setLanguage(){
		$id_lang = getPost('id_lang');
		
		
		if (!$id_lang) {
			$id_lang = ($this->getIdByHAL() == 0) ? false : $this->getIdByHAL();
		}
		
		$this->lang = (!$id_lang) ? null : $this->xml_file->lang[intval($id_lang)];
	}
	
	public function getIncludeTradFilename(){
		return ($this->lang == null) ? false : dirname(__FILE__).$this->lang['trad_file'];
	}
	
} 

?>



