<?php

class BlockCart extends Module
{
    private $_html = '';
    private $_directory;
    private $_filename;
    private $_filename_http;
    private $_postErrors = array();
    
    function __construct()
    {
        $this->name = 'blockcart';
        $this->tab = 'Blocks';
        $this->version = 0.8;
		
		$this->_translations = array(
			'FR' => array(
				'Block cart' => 'Bloc panier',
				'Shows customer cart in your shop right column' => 'Affiche le panier d\'un client dans la colonne droite de votre boutique',
				'Cart' => 'Panier',
				'No products' => 'Aucun produit',
				'Total' => 'Total',
				'Checkout' => 'Commander',
				'My cart' => 'Panier', 
				'Shipping' => 'Exp&eacute;dition'
			)
		);

        parent::__construct();
        
        /* The parent construct is required for translations */
        $this->displayName = $this->l('Block cart');
        $this->description = $this->l('Shows customer cart in your shop right column');
    }

    function install()
    {
        parent::install();
        $this->registerHook('rightColumn');
    }

    function hookRightColumn($params)
    {     	
     	$link = new Link();
		$currency = new Currency($params['cart']->id_currency);
		$products = $params['cart']->getProducts();
		$discounts = $params['cart']->getDiscounts();
     	
     	$output = '
     	<!-- Block cart module -->
		<div class="block_title">
			<a href="'.__PS_BASE_URI__.'order.php"><img src="'.$this->_path.'basket.png" alt="'.$this->l('Cart').'" title="'.$this->l('Cart').'" /></a> 
			<a href="'.__PS_BASE_URI__.'order.php">'.$this->l('Cart').'</a>
		</div>
		<div class="block">
			<table class="cart">';

		foreach ($products AS $value)
	 		$output .= '
			<tr>
				<td class="cart_item">
					<a href="'.__PS_BASE_URI__.'cart.php?delete&amp;id_product='.$value['id_product'].'&amp;ipa='.$value['id_product_attribute'].'">
						<img src="'.$this->_path.'delete.gif" alt="Delete" title="Delete" />
					</a>
					'.$value['quantity'].' x 
					<a href="'.$link->getProductLink($value['id_product'], $value['link_rewrite']).'">
						'.$value['name'].(isset($value['attributes_small']) ? ' '.$value['attributes_small'] : '').'
					</a>
				</td>
				<td class="cart_price">'.Tools::displayPrice($value['total_wt'], $currency).'</td>
			</tr>';
		if (!sizeof($products))
			$output .= '
				<tr>
					<td colspan="2">'.$this->l('No products').'</td>
				</tr>';
		
		foreach ($discounts AS $value)
	 		$output .= '
			<tr>
				<td class="cart_item">
					<a href="'.__PS_BASE_URI__.'order.php?deleteDiscount='.$value['id_discount'].'">
						<img src="'.$this->_path.'delete.gif" alt="Delete" title="Delete" />
					</a>
					'.$value['name'].' 
				</td>
				<td class="cart_price">- '.Tools::displayPrice($value['value_real'], $currency).'</td>
			</tr>';
		$output .= '
			</table>
			<div class="separator"></div>
			<div class="total">
				'.($params['cart']->id_carrier ? $this->l('Shipping').' '.Tools::displayPrice($params['cart']->getOrderTotal(true, 5), $currency).'<br />' : '').'
				'.$this->l('Total').' '.Tools::displayPrice($params['cart']->getOrderTotal(), $currency).'
			</div>
			<div class="edit_my_cart">
				<div class="checkout">
					<a href="'.__PS_BASE_URI__.'order.php?step=1">'.$this->l('Checkout').'</a> <a href="'.__PS_BASE_URI__.'order.php?step=1"><img src="'.$this->_path.'basket_go.png" alt="'.$this->l('Checkout').'" title="'.$this->l('Checkout').'" /></a>
				</div>
				<div class="my_cart">
					<a href="'.__PS_BASE_URI__.'order.php"><img src="'.$this->_path.'basket.png" alt="'.$this->l('My cart').'" title="'.$this->l('My cart').'" /></a> 
					<a href="'.__PS_BASE_URI__.'order.php">'.$this->l('My cart').'</a>
				</div>
			</div>
		</div>
		<div class="block_footer"></div>
		<!-- /Block cart module -->';
		
		return $output;
	}
}


?>
