<?php

class BlockCategories extends Module
{    
    function __construct()
    {
        $this->name = 'blockcategories';
        $this->tab = 'Blocks';
        $this->version = 1.0;

		$this->_translations = array(
			'FR' => array(
				'Block categories' => 'Bloc cat&eacute;gories',
				'Adds a Categories block on your shop left column' => 'Ajoute un block Cat&eacute;gories dans la colonne gauche de votre boutique',
				'Categories' => 'Cat&eacute;gories',
				'No configuration needed' => 'Ne requi&egrave;re pas de configuration'
			)
		
		);

        parent::__construct();
        
        /* The parent construct is required for translations */
		$this->displayName = $this->l('Block categories');
        $this->description = $this->l('Adds a Categories block on your shop left column');
    }

    function install()
    {
        parent::install();
        $this->registerHook('leftColumn');
    }
   
    function hookLeftColumn($params)
    {
		global $link;
		
		$categories = Category::getHomeCategories(intval($params['cookie']->id_lang), true);
     	$output = '
     	<!-- Block categories module -->
		<div class="block_title">
			<img src="'.$this->_path.'logo.gif" alt="'.$this->l('Categories').'" title="'.$this->l('Categories').'" /> '.$this->l('Categories').'
		</div>
		<div id="categories" class="block">
			<ul class="category">';
		foreach ($categories AS $category)
			$output .= '<li><a href="'.$link->getCategoryLink($category['id_category'], $category['link_rewrite']).'">'.$category['name'].'</a></li>';
		$output .=  '
			</ul>
		</div>
		<div class="block_footer"></div>
		<!-- /Block categories module -->';
		return $output;
	}
}

?>