<?php


class BlockLink extends Module
{
	/* @var boolean error */
	protected $error = false;
	
	function __construct()
	{
	 	$this->name = 'blocklink';
	 	$this->tab = 'Blocks';
	 	$this->version = '1.2.1';
	 	$this->_translations = array(
			'FR' => array(
				'Block link' => 'Bloc liens',
				'Allow you to add links in an additionnal menu' => 'Vous permet d\'ajouter des liens dans un menu suppl&eacute;mentaire',
				'Add a new link' => 'Ajouter un nouveau lien',
				'Text' => 'Texte',
				'Url' => 'Url',
				'Add this link' => 'Ajouter ce lien',
				'Id' => 'Id',
				'There is no link yet' => 'Il n\'y a pas encore de lien',
				'You must fill all fields' => 'Vous devez remplir tous les champs',
				'The link have been added successfully' => 'Lien ajout&eacute; avec succ&egrave;s',
				'An error occured during the link creation' => 'Une erreur est survenue lors de la cr&eacute;ation du lien',
				'Actions' => 'Actions',
				'Edit this link' => 'Modifier ce lien',
				'An error occured during the link update' => 'Une erreur est survenue lors de la modification du lien',
				'The link have been updated successfully' => 'Lien modifi&eacute; avec succ&egrave;s',
				'An error occured during the link deletion' => 'Une erreur est survenue lors de la suppression du lien',
				'The link have been deleted successfully' => 'Le lien a &eacute;t&eacute; supprim&eacute; avec succ&egrave;s',
				'Link list' => 'Liste des liens',
				'Block title' => 'Titre du bloc',
				'The field "title" can\'t be empty' => 'Le champs "titre" ne peut &ecirc;tre vide',
				'The field title is invalid' => 'Le champs titre est invalide',
				'An error occured during the title update' => 'Une erreur est survenue durant la mise &agrave; jour du titre',
				'The block title have been successfully update' => 'Le titre du bloc &agrave; &eacute;t&eacute; mis &agrave; jour avec succ&egrave;s',
				'Update' => 'Mettre &agrave; jour',
				'Open in a new window' => 'Ouvrir dans une nouvelle fen&ecirc;tre',
				'Bad url' => 'Mauvaise url'
			)
		);
	 	
	 	parent::__construct();
	 	
	 	/* The parent construct is required for translations */
        $this->displayName = $this->l('Block link');
        $this->description = $this->l('Allow you to add links in an additionnal menu');
	}
	
	function install()
	{
	 	if (parent::install() == false OR $this->registerHook('leftColumn') == false)
	 		return false;
		$query = 'CREATE TABLE '._DB_PREFIX_.'blocklink (`id_link` int(2) NOT NULL AUTO_INCREMENT, `url` varchar(255) NOT NULL, new_window TINYINT(1) NOT NULL, PRIMARY KEY(`id_link`))';
	 	if (!Db::getInstance()->Execute($query))
	 		return false;
	 	$query = 'CREATE TABLE '._DB_PREFIX_.'blocklink_lang (`id_link` int(2) NOT NULL, `id_lang` int(2) NOT NULL, `text` varchar(64) NOT NULL)';
	 	if (!Db::getInstance()->Execute($query))
	 		return false;
	 	return (Configuration::updateValue('PS_BLOCKLINK_TITLE', array('1' => 'Block link', '2' => 'Bloc lien')) AND Configuration::updateValue('PS_BLOCKLINK_TITLE', ''));
	}
	
	function uninstall()
	{
	 	if (parent::uninstall() == false)
	 		return false;
	 	if (!Db::getInstance()->Execute('DROP TABLE '._DB_PREFIX_.'blocklink'))
	 		return false;
	 	if (!Db::getInstance()->Execute('DROP TABLE '._DB_PREFIX_.'blocklink_lang'))
	 		return false;
	 	return (Configuration::deleteByName('PS_BLOCKLINK_TITLE') AND Configuration::deleteByName('PS_BLOCKLINK_URL'));
	}
	
	function hookLeftColumn($params)
	{
	 	global $cookie;
	 	$links = $this->getLinks();
	 	$title = Configuration::get('PS_BLOCKLINK_TITLE', $cookie->id_lang);
	 	$url = Configuration::get('PS_BLOCKLINK_URL');
	 	$output = '';
	 	if ($links)
	 	{
			$output .= '<!-- BlockLink -->
			<div class="block_title">
				'.(!empty($url) ? '<a href="'.$url.'">' : '').$title.(!empty($url) ? '</a>' : '').'
			</div>
			<div class="block">
				<ul class="link">';
	 		foreach ($links AS $link)
	 			$output .= '<li><a href="'.htmlentities($link['url']).'"'.($link['newWindow'] ? 'target="_blank"' : '').'>'.$link['text_'.$cookie->id_lang].'</a></li>';
	 		$output .= '</ul>
			</div>
			<div class="block_footer"></div>';
		}
		return $output;
	}
	
	function getLinks()
	{
	 	$result = array();
	 	/* Get id and url */
	 	if (!$links = Db::getInstance()->ExecuteS('SELECT `id_link`, `url`, `new_window` FROM '._DB_PREFIX_.'blocklink'))
	 		return false;
	 	$i = 0;
	 	foreach ($links AS $link)
	 	{
		 	$result[$i]['id'] = $link['id_link'];
			$result[$i]['url'] = $link['url'];
			$result[$i]['newWindow'] = $link['new_window'];
			/* Get multilingual text */
			if (!$texts = Db::getInstance()->ExecuteS('SELECT `id_lang`, `text` FROM '._DB_PREFIX_.'blocklink_lang WHERE `id_link`='.$link['id_link']))
				return false;
			foreach ($texts AS $text)
				$result[$i]['text_'.$text['id_lang']] = $text['text'];
			$i++;
		}
	 	return $result;
	}
	
	function addLink()
	{
	 	/* Url registration */
	 	if (!Db::getInstance()->Execute('INSERT INTO '._DB_PREFIX_.'blocklink VALUES (\'\', \''.pSQL($_POST['url']).'\', '.((isset($_POST['newWindow']) AND $_POST['newWindow']) == 'on' ? 1 : 0).')') OR !$lastId = mysql_insert_id())
	 		return false;
	 	/* Multilingual text */
	 	$languages = Language::getLanguages();
	 	$defaultLanguage = intval(Configuration::get('PS_LANG_DEFAULT'));
	 	if (!$languages)
	 		return false;
	 	foreach ($languages AS $language)
	 	 	if (!empty($_POST['text_'.$language['id_lang']]))
	 	 	{
	 	 		if (!Db::getInstance()->Execute('INSERT INTO '._DB_PREFIX_.'blocklink_lang VALUES ('.$lastId.', '.$language['id_lang'].', \''.pSQL($_POST['text_'.$language['id_lang']]).'\')'))
	 	 			return false;
	 	 	}
	 	 	else
	 	 		if (!Db::getInstance()->Execute('INSERT INTO '._DB_PREFIX_.'blocklink_lang VALUES ('.$lastId.', '.$language['id_lang'].', \''.pSQL($_POST['text_'.$defaultLanguage]).'\')'))
	 	 			return false;
	 	return true;
	}
	
	function updateLink()
	{
	 	/* Url registration */
	 	if (!Db::getInstance()->Execute('UPDATE '._DB_PREFIX_.'blocklink SET `url`=\''.pSQL($_POST['url']).'\', `new_window`='.(isset($_POST['newWindow']) ? 1 : 0).' WHERE `id_link`='.intval($_POST['id'])))
	 		return false;
	 	/* Multilingual text */
	 	$languages = Language::getLanguages();
	 	$defaultLanguage = intval(Configuration::get('PS_LANG_DEFAULT'));
	 	if (!$languages)
			 return false;
	 	foreach ($languages AS $language)
	 	 	if (!empty($_POST['text_'.$language['id_lang']]))
	 	 	{
	 	 		if (!Db::getInstance()->Execute('UPDATE '._DB_PREFIX_.'blocklink_lang SET `text`=\''.pSQL($_POST['text_'.$language['id_lang']]).'\' WHERE `id_link`='.intval($_POST['id']).' AND `id_lang`='.$language['id_lang']))
	 	 			return false;
	 	 	}
	 	 	else
	 	 		if (!Db::getInstance()->Execute('UPDATE '._DB_PREFIX_.'blocklink_lang SET `text`=\''.pSQL($_POST['text_'.$defaultLanguage]).'\' WHERE `id_link`='.intval($_POST['id']).' AND `id_lang`='.$language['id_lang']))
	 	 			return false;
	 	return true;
	}
	
	function deleteLink()
	{
	 	return Db::getInstance()->Execute('DELETE FROM '._DB_PREFIX_.'blocklink WHERE `id_link`='.intval($_GET['id']));
	}
	
	function updateTitle()
	{
		$languages = Language::getLanguages();
		$result = array();
		foreach ($languages AS $language)
			$result[$language['id_lang']] = $_POST['title_'.$language['id_lang']];
	 	if (!Configuration::updateValue('PS_BLOCKLINK_TITLE', $result))
	 		return false;
	 	return Configuration::updateValue('PS_BLOCKLINK_URL', $_POST['title_url']);
	}
	
	function getContent()
    {
     	$this->_html = '<h2>'.$this->displayName.'</h2>
		<script type="text/javascript" src="'.$this->_path.'blocklink.js"></script>';
     	
     	/* Add a link */
     	if (isset($_POST['submitLinkAdd']))
     	{
     	 	if (empty($_POST['text_'.Configuration::get('PS_LANG_DEFAULT')]) OR empty($_POST['url']))
     	 		$this->_html .= $this->displayError($this->l('You must fill all fields'));
     	 	elseif (!Validate::isUrl($_POST['url']))
     	 			$this->_html .= $this->displayError($this->l('Bad url'));
	     	else
	     	  	if ($this->addLink())
	     	  		$this->_html .= $this->displayConfirmation($this->l('The link have been added successfully'));
	     	  	else
	     	 		$this->_html .= $this->displayError($this->l('An error occured during the link creation'));
     	}
     	/* Update a link */
     	elseif (isset($_POST['submitLinkUpdate']))
     	{
     	 	if (empty($_POST['text_'.Configuration::get('PS_LANG_DEFAULT')]) OR empty($_POST['url']))
     	 		$this->_html .= $this->displayError($this->l('You must fill all fields'));
     	 	elseif (!Validate::isUrl($_POST['url']))
     	 		$this->_html .= $this->displayError($this->l('Bad url'));
	     	else
	     	 	if (empty($_POST['id']) OR !is_numeric($_POST['id']) OR !$this->updateLink())
	     	 		$this->_html .= $this->displayError($this->l('An error occured during the link update'));
	     	 	else
	     	 		$this->_html .= $this->displayConfirmation($this->l('The link have been updated successfully'));
     	}
     	/* Update the block title */
     	elseif (isset($_POST['submitTitle']))
     	{
     	 	if (empty($_POST['title_'.Configuration::get('PS_LANG_DEFAULT')]))
     	 		$this->_html .= $this->displayError($this->l('The field "title" can\'t be empty'));
     	 	elseif (!empty($_POST['title_url']) AND !Validate::isUrl($_POST['title_url']))
     	 		$this->_html .= $this->displayError($this->l('The field "title_url" is invalid'));
     	 	elseif (!Validate::isGenericName($_POST['title_'.Configuration::get('PS_LANG_DEFAULT')]))
     	 		$this->_html .= $this->displayError($this->l('The field title is invalid'));
     	 	elseif (!$this->updateTitle())
     	 		$this->_html .= $this->displayError($this->l('An error occured during the title update'));
     	 	else
     	 		$this->_html .= $this->displayConfirmation($this->l('The block title have been successfully update'));
     	}
     	/* Delete a link*/
     	elseif (isset($_GET['id']))
     	{
     	 	if (!is_numeric($_GET['id']) OR !$this->deleteLink())
     	 	 	$this->_html .= $this->displayError($this->l('An error occured during the link deletion'));
     	 	else
     	 	 	$this->_html .= $this->displayConfirmation($this->l('The link have been deleted successfully'));
     	}
     	
     	$this->_displayForm();
     	$this->_list();

        return $this->_html;
    }
	
	private function _displayForm()
	{
	 	global $cookie;
	 	/* Language */
	 	$defaultLanguage = intval(Configuration::get('PS_LANG_DEFAULT'));
		$languages = Language::getLanguages();
		/* Title */
	 	$title_url = Configuration::get('PS_BLOCKLINK_URL');

	 	$this->_html .= '
	 	<fieldset>
	 		<legend><img src="'.$this->_path.'add.png" alt="" title="" /> '.$this->l('Add a new link').'</legend>
			<form method="post" action="">
				<label>'.$this->l('Text').' :</label>
				<div class="margin-form">';
		foreach ($languages as $language)
			$this->_html .= '
				<div id="text_'.$language['id_lang'].'" style="display: '.($language['id_lang'] == $defaultLanguage ? 'block' : 'none').'; float: left;">
					<input type="text" name="text_'.$language['id_lang'].'" id="textInput_'.$language['id_lang'].'" value="'.(($this->error AND isset($_POST['text_'.$language['id_lang']])) ? $_POST['text_'.$language['id_lang']] : '').'" /><sup> *</sup>
				</div>';
		$this->_html .= displayFlags($languages, $defaultLanguage, 'text', 'text', true);
		$this->_html .= '
				<div class="clear"></div>
				</div>
				<label>'.$this->l('Url').' :</label>
				<div class="margin-form"><input type="text" name="url" id="url" value="'.(($this->error AND isset($_POST['url'])) ? $_POST['url'] : '').'" /></div>
				<label>'.$this->l('Open in a new window').'</label>
				<div class="margin-form"><input type="checkbox" name="newWindow" id="newWindow" '.(($this->error AND isset($_POST['newWindow'])) ? 'checked="checked"' : '').' /></div>
				<div class="margin-form">
					<input type="hidden" name="id" id="id" value="'.($this->error AND isset($_POST['id']) ? $_POST['id'] : '').'" />
					<input type="submit" class="button" name="submitLinkAdd" value="'.$this->l('Add this link').'" />
					<input type="submit" class="button disable" name="submitLinkUpdate" value="'.$this->l('Edit this link').'" disabled="disbaled" id="submitLinkUpdate" />
				</div>
			</form>
		</fieldset>
		<fieldset class="space">
			<legend><img src="'.$this->_path.'logo.gif" alt="" title="" /> '.$this->l('Block title').'</legend>
			<form method="post" action="">
				<label>'.$this->l('Block title').' :</label>
				<div class="margin-form">';
		foreach ($languages as $language)
			$this->_html .= '
					<div id="title_'.$language['id_lang'].'" style="display: '.($language['id_lang'] == $defaultLanguage ? 'block' : 'none').'; float: left;">
						<input type="text" name="title_'.$language['id_lang'].'" value="'.(($this->error AND isset($_POST['title'])) ? $_POST['title'] : Configuration::get('PS_BLOCKLINK_TITLE', $language['id_lang'])).'" /><sup> *</sup>
					</div>';
		$this->_html .= displayFlags($languages, $defaultLanguage, 'title', 'title', true);
		$this->_html .= '
				<div class="clear"></div>
				</div>
				<label>'.$this->l('Block url').' :</label>
				<div class="margin-form"><input type="text" name="title_url" value="'.(($this->error AND isset($_POST['title_url'])) ? $_POST['title_url'] : $title_url).'" /></div>
				<div class="margin-form"><input type="submit" class="button" name="submitTitle" value="'.$this->l('Update').'" /></div>
			</form>
		</fieldset>';
	}
	
	private function _list()
	{
	 	$links = $this->getLinks();
	 
	 	global $currentIndex, $cookie;
	 	$languages = Language::getLanguages();
	 	if ($links)
	 	{
	 		$this->_html .= '
			<script type="text/javascript">
				var currentUrl = \''.$currentIndex.'&configure='.$this->name.'\';
				var links = new Array();';
	 		foreach ($links AS $link)
	 		{
	 			$this->_html .= 'links['.$link['id'].'] = new Array(\''.addslashes($link['url']).'\', '.$link['newWindow'];
	 			foreach ($languages AS $language)
	 				$this->_html .= ', \''.addslashes($link['text_'.$language['id_lang']]).'\'';
	 			$this->_html .= ');';
	 		}
	 		$this->_html .= '</script>';
	 	}
	 	$this->_html .= '
	 	<h3 class="blue space">'.$this->l('Link list').'</h3>
		<table class="table">
			<tr>
				<th>'.$this->l('Id').'</th>
				<th>'.$this->l('Text').'</th>
				<th>'.$this->l('Url').'</th>
				<th>'.$this->l('Actions').'</th>
			</tr>';
			
		if (!$links)
			$this->_html .= '
			<tr>
				<td colspan="3">'.$this->l('There is no link yet').'</td>
			</tr>';
		else
			foreach ($links AS $link)
				$this->_html .= '
				<tr>
					<td>'.$link['id'].'</td>
					<td>'.$link['text_'.$cookie->id_lang].'</td>
					<td>'.$link['url'].'</td>
					<td>
						<img src="../img/admin/edit.gif" alt="" title="" onclick="linkEdition('.$link['id'].')" />
						<img src="../img/admin/delete.gif" alt="" title="" onclick="linkDeletion('.$link['id'].')" />
					</td>
				</tr>';
		$this->_html .= '
		</table>
		<input type="hidden" id="languageNb" value="'.count($languages).'" />';
	}
}
?>