<?php

include(dirname(__FILE__).'/../../config/config.inc.php');
include(dirname(__FILE__).'/../../header.php');

$error = false;
$confirm = false;
$translations = array(
	'FR' => array(
		'An error occured during the sending process.' => 'Une erreur est survenue lors de l\'envoi de l\'email.',
		'You must fill all fields.' => 'Vous devez remplir tous les champs.',
		'Your friend\'s email is invalid.' => 'L\'email de votre ami(e) est invalide.',
		'Your friend\'s name is invalid.' => 'Le nom de votre ami(e) est invalide.',
		'An error occured during the process.' => 'Une erreur est survenue.',
		'A friend' => 'Un(e) ami(e)',
		'A friend ' => 'Un(e) ami(e) ',
		'send you a link to ' => 'vous envoi un lien vers ',
		'Friend\'s name:' => 'Nom de votre ami(e) :',
		'Friend\'s email:' => 'Email de votre ami(e) :',
		'An email have been sent successfully to' => 'Un email a &eacute;t&eacute; envoy&eacute; avec succ&egrave;s &agrave;',
		'Send to a friend' => 'Envoyer &agrave; un ami',
		'Back to ' => 'Retour &agrave; ',
		'Send' => 'Envoyer'
		)
);

function l($key)
{
 	global $translations, $cookie;
 	$iso = strtoupper(Language::getIsoById($cookie->id_lang));
 	$lang = key_exists($iso, $translations) ? $translations[$iso] : false;
 	return (($lang AND is_array($lang) AND key_exists($key, $lang)) ? stripslashes($lang[$key]) : $key);
}

if (isset($_POST['submitAddtoafriend']))
{
 	global $cookie, $link;
 	/* Product informations */
 	$product = new Product($_GET['id_product'], false, intval($cookie->id_lang));
 	$productLink = $link->getProductLink($product->id, $product->link_rewrite);
 	$backToProduct = '<a href="'.$productLink.'" class="bold">'.l('Back to ').'"'.$product->name.'"</a>';
 	$smarty->assign('backToProduct', $backToProduct);
 	
 	/* Fields verifications */
 	if (empty($_POST['email']) OR empty($_POST['name']))
 		$error = l('You must fill all fields.');
 	elseif (!Validate::isEmail($_POST['email']))
 		$error = l('Your friend\'s email is invalid.');
 	elseif (!Validate::isName($_POST['name']))
 		$error = l('Your friend\'s name is invalid.');
 	elseif (!isset($_GET['id_product']) OR !is_numeric($_GET['id_product']))
 		$error = l('An error occured during the process.');
 	else
 	{
 	 	/* Email generation */
 		$subject = ($cookie->customer_surname ? $cookie->customer_surname.' '.$cookie->customer_name.' ' : l('A friend ')).l('send you a link to ').$product->name;
 		$templateVars = array(
			'{product}' => $product->name,
			'{product_link}' => $productLink,
			'{customer}' => ($cookie->customer_surname ? $cookie->customer_surname.' '.$cookie->customer_name : l('A friend')),
			'{name}' => $_POST['name']
		);
		
		/* Email sending */
	 	if (!Mail::Send($cookie->id_lang, 'send_to_a_friend', $subject, $templateVars, $_POST['email'], NULL, ($cookie->email ? $cookie->email : NULL), ($cookie->customer_surname ? $cookie->customer_surname.' '.$cookie->customer_name : NULL)))
			$error = l('An error occured during the sending process.');
		else
			$confirm = l('An email have been sent successfully to').' '.$_POST['email'].'.';
	}
}
else
{
 	global $cookie, $link;
 	/* Product informations */
 	$product = new Product($_GET['id_product'], false, intval($cookie->id_lang));
 	$productLink = $link->getProductLink($product->id, $product->link_rewrite);
}

/* Image */
$images = $product->getImages(intval($cookie->id_lang));
foreach ($images AS $k => $image)
	if ($image['cover'])
	{
		$cover['id_image'] = intval($product->id).'-'.$image['id_image'];
		$cover['legend'] = $image['legend'];
	}

if (!isset($cover))
	$cover = array('id_image' => Language::getIsoById($cookie->id_lang).'-default', 'legend' => 'No picture');

$smarty->assign('cover', $cover);
$smarty->assign('error', $error);
$smarty->assign('confirm', $confirm);
$smarty->assign('email_input_name', l('Friend\'s name:'));
$smarty->assign('email_input_email', l('Friend\'s email:'));
$smarty->assign('email_title', l('Send to a friend'));
$smarty->assign('product', $product);
$smarty->assign('productLink', $productLink);
$smarty->assign('send', l('Send'));
$smarty->display(_PS_THEME_DIR_.'../../modules/sendtoafriend/sendtoafriend.tpl');

include(dirname(__FILE__).'/../../footer.php');

?>